Last modified: 2014-11-17 10:35:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26888 - Refactor jsMessage into mw.notification framework
Refactor jsMessage into mw.notification framework
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
JavaScript (Other open bugs)
1.18.x
All All
: Normal enhancement with 1 vote (vote)
: 1.20.0 release
Assigned To: Daniel Friesen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-23 14:54 UTC by Krinkle
Modified: 2014-11-17 10:35 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Krinkle 2011-01-23 14:54:45 UTC
jsMessage needs two additional things:
- string 'component' (default: 'default') – can succeed the existing 'className' argument.
- bool 'replace' (defaul: true)

This enables different scripts to shoot out messages without it being overwritten by a totally unrelated script.
The default behaviour won't change. Setting replace to false will add it on top with a line below (instead of replacing the entire #mw-js-message division.

If the same component later receives a 'replace: true' it removes all previous messages from that component and puts the new one on top.

Assigning to myself, hoping to implement it soonish.
Comment 1 Ori Livneh 2012-06-28 19:35:43 UTC
Implemented (Gerrit change #37897). If this is what you had in mind, let me know and I'll add tests.
Comment 2 Ori Livneh 2012-06-28 19:36:17 UTC
Sorry, that's Gerrit change #12838.
Comment 3 Ori Livneh 2012-06-28 20:19:46 UTC
I am an idiot: make that Gerrit change #13366. Stepping away from the keyboard now..
Comment 4 Krinkle 2012-08-31 05:14:36 UTC
Major improvements to jsMessage:
* Redesign of visual look: I41c70d78c8ed8aeb91a598dc4a7b26dfad8d8f6c
* Refactor of framework code (mw.notification): I2b3d9cbce6d1514d754b4403ec878d89ea6af29d

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links